#include<fstream>

using namespace std;
int main()
{
	ifstream f1("DEMTU.INP");
	ofstream f2("DEMTU.OUT");
	char s[256];
	f1.getline(s,256);
	int l=0;
	int ok=0;
	int i=0;
	int j;
	while(s[i]==' ')
	{
		i++;
		ok++;
	}
	j=i;
	if(ok>0) l++;
	for(i=j;i<256;i++)
	{
		if(s[i]==' ') l++;
	}
	f1.close();
	f2<<l+1;
	f2.close();
	return 0;
}
